Package com.sas.services

# Class ParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.ParseException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class ParseException extends ServiceException implements Serializable
Parse exception is thrown when a parsing error occurs. This exception can be thrown when parsing name/value pairs.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParseException()`
  Constructs a default parse exception.
  `ParseException(String msg)`
  Constructs an instance using the specified message that prompted creation of this parse exception.
  `ParseException(Throwable throwable, String message)`
  Constructs an instance using the specified message and the throwable that prompted creation of this parse exception.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParseException

    public ParseException()
    Constructs a default parse exception.

  - ### ParseException

    public ParseException(String msg)
    Constructs an instance using the specified message that prompted creation of this parse exception.
    Parameters:
      `msg` - Exception message.

  - ### ParseException

    public ParseException(Throwable throwable, String message)
    Constructs an instance using the specified message and the throwable that prompted creation of this parse exception.
    Parameters:
      `throwable` - Throwable that prompted the exception.
      `message` - Exception message.